﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.ServiceModel;
using System.ServiceModel.Channels;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WebServiceCRA
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

             CustomBinding binding = new CustomBinding(
             new CustomTextMessageBindingElement("iso-8859-1", "text/xml", MessageVersion.Soap11),
             new HttpTransportBindingElement());    //AMBIENTE DE TESTE
             //new HttpsTransportBindingElement()); //AMBIENTE DE PRODUÇÃO

            cra21.servercraPortTypeClient client = new cra21.servercraPortTypeClient();

            client.Endpoint.Binding = binding;


            client.ClientCredentials.UserName.UserName = "usuario";
            client.ClientCredentials.UserName.Password = "senha";


            using (new OperationContextScope(client.InnerChannel))
            {
                string auth = "Basic " + Convert.ToBase64String(Encoding.Default.GetBytes
                    (client.ClientCredentials.UserName.UserName + ":" + client.ClientCredentials.UserName.Password));

                HttpRequestMessageProperty requestMessage = new HttpRequestMessageProperty();
                requestMessage.Headers["Authorization"] = auth;

                OperationContext.Current.OutgoingMessageProperties[HttpRequestMessageProperty.Name] = requestMessage;


                string retorno = client.Retorno("NOME_DO_ARQUIVO", "CONTEUDO_XML");
            }
        }
    }
}
